using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp4
{
    internal class Program
    {
        static void Main(string[] args)
        {
            int N = int.Parse(Console.ReadLine());
            int L = int.Parse(Console.ReadLine());

            int[] H = new int[N];
            string[] h = Console.ReadLine().Split();
            for (int i = 0; i < N; i++)
            {
                H[i] = int.Parse(h[i]);
            }
            int Index = -1; 
            for (int i = 0; i < N; i++)
            {
                if (H[i] <= L)
                {
                    Index = i + 1; 
                    break;
                }
            }
            Console.WriteLine( Index);
        }
    }
}